diff -ur snort-2.0.2/src/checksum.h snort-2.0.2-ipv6/src/checksum.h
--- snort-2.0.2/src/checksum.h	Wed Jul 23 03:24:50 2003
+++ snort-2.0.2-ipv6/src/checksum.h	Fri Nov  7 15:25:05 2003
@@ -1,4 +1,4 @@
-/* $Id: checksum.h,v 1.11 2003/07/22 18:24:50 chrisgreen Exp $ */
+/* $Id: checksum.h,v 1.3 2003/11/07 06:25:05 abekatsu Exp $ */
 /*
 ** Copyright (C) 2000,2001 Christopher Cramer <cec@ee.duke.edu>
 ** Snort is Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
@@ -30,12 +30,7 @@
 #ifndef __CHECKSUM_H__
 #define __CHECKSUM_H__
 
-#ifdef HAVE_CONFIG_H
-#include "config.h"
-#endif
-
-#include <sys/types.h>
-
+#include "detect.h"
 
 /* define checksum error flags */
 #define CSE_IP    0x01
@@ -43,275 +38,17 @@
 #define CSE_UDP   0x04
 #define CSE_ICMP  0x08
 #define CSE_IGMP  0x10
+#define CSE_ICMP6 0x20
 
-/*
-*  checksum IP  - header=20+ bytes
-*
-*  w - short words of data
-*  blen - byte length
-* 
-*/
-static inline unsigned short in_chksum_ip(  unsigned short * w, int blen )
-{
-   unsigned int cksum;
-
-   /* IP must be >= 20 bytes */
-   cksum  = w[0];
-   cksum += w[1];
-   cksum += w[2];
-   cksum += w[3];
-   cksum += w[4];
-   cksum += w[5];
-   cksum += w[6];
-   cksum += w[7];
-   cksum += w[8];
-   cksum += w[9];
-
-   blen  -= 20;
-   w     += 10;
-
-   while( blen ) /* IP-hdr must be an integral number of 4 byte words */
-   {
-     cksum += w[0];
-     cksum += w[1];
-     w     += 2;
-     blen  -= 4;
-   }
-
-   cksum  = (cksum >> 16) + (cksum & 0x0000ffff);
-   cksum += (cksum >> 16);
- 
-   return (unsigned short) (~cksum);
-}
-
-
-/*
-*  checksum tcp
-*
-*  h    - pseudo header - 12 bytes
-*  d    - tcp hdr + payload
-*  dlen - length of tcp hdr + payload in bytes
-*
-*/
-static inline unsigned short in_chksum_tcp(  unsigned short *h, unsigned short * d, int dlen )
-{
-   unsigned int cksum;
-   unsigned short answer=0;
-
-   /* PseudoHeader must have 12 bytes */
-   cksum  = h[0];
-   cksum += h[1];
-   cksum += h[2];
-   cksum += h[3];
-   cksum += h[4];
-   cksum += h[5];
-
-   /* TCP hdr must have 20 hdr bytes */
-   cksum += d[0];
-   cksum += d[1];
-   cksum += d[2];
-   cksum += d[3];
-   cksum += d[4];
-   cksum += d[5];
-   cksum += d[6];
-   cksum += d[7];
-   cksum += d[8];
-   cksum += d[9];
-
-   dlen  -= 20; /* bytes   */
-   d     += 10; /* short's */ 
-
-   while(dlen >=32)
-   {
-     cksum += d[0];
-     cksum += d[1];
-     cksum += d[2];
-     cksum += d[3];
-     cksum += d[4];
-     cksum += d[5];
-     cksum += d[6];
-     cksum += d[7];
-     cksum += d[8];
-     cksum += d[9];
-     cksum += d[10];
-     cksum += d[11];
-     cksum += d[12];
-     cksum += d[13];
-     cksum += d[14];
-     cksum += d[15];
-     d     += 16;
-     dlen  -= 32;
-   }
-
-   while(dlen >=8)  
-   {
-     cksum += d[0];
-     cksum += d[1];
-     cksum += d[2];
-     cksum += d[3];
-     d     += 4;   
-     dlen  -= 8;
-   }
-
-   while(dlen > 1)
-   {
-     cksum += *d++;
-     dlen  -= 2;
-   }
-
-   if( dlen == 1 ) 
-   { 
-    /* printf("new checksum odd byte-packet\n"); */
-    *(unsigned char*)(&answer) = (*(unsigned char*)d);
-
-    /* cksum += (u_int16_t) (*(u_int8_t*)d); */
-     
-     cksum += answer;
-   }
-   
-   cksum  = (cksum >> 16) + (cksum & 0x0000ffff);
-   cksum += (cksum >> 16);
- 
-   return (unsigned short)(~cksum);
-}
-
-/*
-*  checksum udp
-*
-*  h    - pseudo header - 12 bytes
-*  d    - udp hdr + payload
-*  dlen - length of payload in bytes
-*
-*/
-static inline unsigned short in_chksum_udp(  unsigned short *h, unsigned short * d, int dlen )
-{
-   unsigned int cksum;
-   unsigned short answer=0;
-
-   /* PseudoHeader must have  12 bytes */
-   cksum  = h[0];
-   cksum += h[1];
-   cksum += h[2];
-   cksum += h[3];
-   cksum += h[4];
-   cksum += h[5];
-
-   /* UDP must have 8 hdr bytes */
-   cksum += d[0];
-   cksum += d[1];
-   cksum += d[2];
-   cksum += d[3];
-
-   dlen  -= 8; /* bytes   */
-   d     += 4; /* short's */ 
-
-   while(dlen >=32) 
-   {
-     cksum += d[0];
-     cksum += d[1];
-     cksum += d[2];
-     cksum += d[3];
-     cksum += d[4];
-     cksum += d[5];
-     cksum += d[6];
-     cksum += d[7];
-     cksum += d[8];
-     cksum += d[9];
-     cksum += d[10];
-     cksum += d[11];
-     cksum += d[12];
-     cksum += d[13];
-     cksum += d[14];
-     cksum += d[15];
-     d     += 16;
-     dlen  -= 32;
-   }
-
-   while(dlen >=8)
-   {
-     cksum += d[0];
-     cksum += d[1];
-     cksum += d[2];
-     cksum += d[3];
-     d     += 4;   
-     dlen  -= 8;
-   }
-
-   while(dlen > 1)
-   {
-     cksum += *d++;
-     dlen  -= 2;
-   }
-
-   if( dlen == 1 ) 
-   { 
-     *(unsigned char*)(&answer) = (*(unsigned char*)d);
-     cksum += answer;
-   }
-   
-   cksum  = (cksum >> 16) + (cksum & 0x0000ffff);
-   cksum += (cksum >> 16);
- 
-   return (unsigned short)(~cksum);
-}
-
-/*
-*  checksum icmp
-*/
-static inline unsigned short in_chksum_icmp( unsigned short * w, int blen )
-{
-  unsigned  short answer=0;
-  unsigned int cksum = 0;
-
-  while(blen >=32) 
-  {
-     cksum += w[0];
-     cksum += w[1];
-     cksum += w[2];
-     cksum += w[3];
-     cksum += w[4];
-     cksum += w[5];
-     cksum += w[6];
-     cksum += w[7];
-     cksum += w[8];
-     cksum += w[9];
-     cksum += w[10];
-     cksum += w[11];
-     cksum += w[12];
-     cksum += w[13];
-     cksum += w[14];
-     cksum += w[15];
-     w     += 16;
-     blen  -= 32;
-  }
-
-  while(blen >=8) 
-  {
-     cksum += w[0];
-     cksum += w[1];
-     cksum += w[2];
-     cksum += w[3];
-     w     += 4;
-     blen  -= 8;
-  }
-
-  while(blen > 1) 
-  {
-     cksum += *w++;
-     blen  -= 2;
-  }
-
-  if( blen == 1 ) 
-  {
-    *(unsigned char*)(&answer) = (*(unsigned char*)w);
-    cksum += answer;
-  }
-
-  cksum  = (cksum >> 16) + (cksum & 0x0000ffff);
-  cksum += (cksum >> 16);
+unsigned short in_chksum_ip(  unsigned short *, int );
+unsigned short in_chksum_tcp(  unsigned short *, 
+			       unsigned short *, int );
+unsigned short in_chksum_udp(  unsigned short *,
+			       unsigned short *, int );
+unsigned short in_chksum_icmp( unsigned short *, int blen );
+unsigned short checksum(u_int16_t *, u_int32_t , u_int16_t *, u_int32_t );
+unsigned short ipv6_checksum(Packet *, u_int16_t *, u_int32_t );
 
+#endif /* __CHECKSUM_H__ */
 
-  return (unsigned short)(~cksum);
-}
 
-#endif /* __CHECKSUM_H__ */
diff -ur snort-2.0.2/src/codes.c snort-2.0.2-ipv6/src/codes.c
--- snort-2.0.2/src/codes.c	Tue Apr  2 00:35:57 2002
+++ snort-2.0.2-ipv6/src/codes.c	Tue Sep 30 13:25:25 2003
@@ -15,7 +15,7 @@
 ** along with this program; if not, write to the Free Software
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
-/* $Id: codes.c,v 1.6 2002/04/01 15:35:57 andrewbaker Exp $ */
+/* $Id: codes.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 #ifdef HAVE_CONFIG_H
 #include "config.h"
 #endif
diff -ur snort-2.0.2/src/codes.h snort-2.0.2-ipv6/src/codes.h
--- snort-2.0.2/src/codes.h	Fri Mar 15 23:48:00 2002
+++ snort-2.0.2-ipv6/src/codes.h	Tue Sep 30 13:25:25 2003
@@ -15,7 +15,7 @@
 ** along with this program; if not, write to the Free Software
 ** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
-/* $Id: codes.h,v 1.3 2002/03/15 14:48:00 chrisgreen Exp $ */
+/* $Id: codes.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 #ifndef __unidecode_codes_h
 #define __unidecode_codes_h
 
diff -ur snort-2.0.2/src/debug.c snort-2.0.2-ipv6/src/debug.c
--- snort-2.0.2/src/debug.c	Sat Mar 29 05:09:52 2003
+++ snort-2.0.2-ipv6/src/debug.c	Tue Sep 30 13:25:25 2003
@@ -1,4 +1,4 @@
-/* $Id: debug.c,v 1.11 2003/03/28 20:09:52 chrisgreen Exp $ */
+/* $Id: debug.c,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
diff -ur snort-2.0.2/src/debug.h snort-2.0.2-ipv6/src/debug.h
--- snort-2.0.2/src/debug.h	Sat Mar 29 05:09:52 2003
+++ snort-2.0.2-ipv6/src/debug.h	Thu Nov 27 10:38:30 2003
@@ -1,4 +1,4 @@
-/* $Id: debug.h,v 1.23 2003/03/28 20:09:52 chrisgreen Exp $ */
+/* $Id: debug.h,v 1.1.1.1 2003/09/30 04:25:25 abekatsu Exp $ */
 /*
 ** Copyright (C) 1998-2002 Martin Roesch <roesch@sourcefire.com>
 **
